Bug 51069 - ash not compiled with history and cl edit problems
Summary: ash not compiled with history and cl edit problems
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ash   
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-07 00:44 UTC by Derek Tattersall
Modified: 2007-04-18 16:35 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-06 21:24:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Derek Tattersall 2001-08-07 00:44:49 UTC
Description of Problem:
ash is not compiled with history, so "fc" commands don't work.
command line editing, arrow keys fail, and edit modes fail.  In emacs mode
^A doesn't got start of line.  This is all in console mode, non X.

How Reproducible:
Happens whenever I execute ash -E -i

Steps to Reproduce:
1. ash -E -i or ash -V -i (VI mode)
2. enter a long command line
3. try ^A to go to line start, ^K to kill the line

Actual Results:


Expected Results:
Cursor movement, line erase

Additional Information:
Under screen, backspace doesn't work either.

Comment 1 Trond Eivind Glomsrxd 2001-12-06 22:26:41 UTC
It's a simple, small shell for scripts, bootdisks etc. I don't want to add
anything increasing the size... if you want a fully featured shell, you should
use bash or zsh


Note You need to log in before you can comment on or make changes to this bug.